=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-08-01 19:02:15 +0000
+++ drizzled/global.h	2008-08-04 06:46:27 +0000
@@ -345,6 +345,10 @@
 typedef unsigned short ushort;
 #endif
 
+/* Declared in int2str() */
+extern char _dig_vec_upper[];
+extern char _dig_vec_lower[];
+
 #define CMP_NUM(a,b)    (((a) < (b)) ? -1 : ((a) == (b)) ? 0 : 1)
 #define sgn(a)		(((a) < 0) ? -1 : ((a) > 0) ? 1 : 0)
 #define swap_variables(t, a, b) { register t dummy; dummy= a; a= b; b= dummy; }

=== modified file 'libdrizzle/libdrizzle.c'
--- libdrizzle/libdrizzle.c	2008-08-04 03:48:26 +0000
+++ libdrizzle/libdrizzle.c	2008-08-04 06:46:27 +0000
@@ -21,8 +21,6 @@
 #include <mysys/my_sys.h>
 #include "my_time.h"
 #include <mysys/mysys_err.h>
-#include <mystrings/m_string.h>
-#include <mystrings/m_ctype.h>
 #include "drizzle.h"
 #include "errmsg.h"
 #include <vio/violite.h>

=== modified file 'mystrings/m_string.h'
--- mystrings/m_string.h	2008-08-02 04:54:26 +0000
+++ mystrings/m_string.h	2008-08-04 06:46:27 +0000
@@ -61,10 +61,6 @@
 #define strmov(A,B) stpcpy((A),(B))
 #endif
 
-/* Declared in int2str() */
-extern char _dig_vec_upper[];
-extern char _dig_vec_lower[];
-
 #ifdef BAD_STRING_COMPILER
 #define strmov(A,B)  (memccpy(A,B,0,INT_MAX)-1)
 #else

